# Configuration file of DLT daemon
#
# Configurations made here will overwrite settings by command line

########################################################################
# General configuration                                                #
########################################################################

# Start daemon in debug mode, so that all internal debug information is printed out on the console
# Verbose = 1

# Daemonize DLT daemon, if it is started as daemon
# Daemonize = 1

# Send DLT messages with serial header
# SendSerialHeader = 1

# Send automatic get log info response during context registration
SendContextRegistration = 1

# Option of get log info response during context registration (Default: 7)
# Apid and Ctid Only = 3, with LogLevel = 4, with TraceStatus = 5, with LL and TS = 6, with LL, TS, and Description = 7
# SendContextRegistrationOption = 7

# Send automatic time packets every second if client is connected (Default: 0)
# SendMessageTime = 0

# Set ECU ID (Default: ECU1)
ECUId = ECU1

# Size of shared memory (Default: 100000)
SharedMemorySize = 100000

# Directory where to store the persistant configuration (Default: /tmp)
# PersistanceStoragePath = /tmp

# The logging console for internal logging of dlt-daemon (Default: 0)
# 0 = log to stdout
# 1 = log to syslog
# 2 = log to file (see LoggingFilename)
# 3 = log to stderr
LoggingMode = 0

# The internal log level, up to which logs are written (Default: 6)
# LOG_EMERG = 0, LOG_ALERT = 1, LOG_CRIT = 2, LOG_ERR = 3, LOG_WARNING = 4, LOG_NOTICE = 5, LOG_INFO = 6, LOG_DEBUG = 7
LoggingLevel = 6

# The logging filename if internal logging mode is log to file (Default: /tmp/dlt.log)
# If access to the file is not possible, the daemon will fall back to syslog
# if WITH_DLT_FILE_LOGGING_SYSLOG_FALLBACK is set as compile flag
LoggingFilename = /tmp/dlt.log

# Indicate whether size of logging file(s) is limited (Default: 0)
EnableLoggingFileLimit = 0

# Maximum size in bytes of one logging file (Default: 250000)
# LoggingFileSize = 250000

# Maximum size in bytes of all logging files (Default: 1000000)
# LoggingFileMaxSize = 1000000

# Timeout on send to client (sec)
TimeOutOnSend = 4

# The minimum size of the Ringbuffer, used for storing temporary DLT messages, until client is connected (Default: 500000)
RingbufferMinSize = 500000

# The max size of the Ringbuffer, used for storing temporary DLT messages, until client is connected (Default: 10000000)
RingbufferMaxSize = 10000000

# The step size the Ringbuffer is increased, used for storing temporary DLT messages, until client is connected (Default: 500000)
RingbufferStepSize = 500000

# The size of Daemon FIFO (/tmp/dlt) (Default: 65536, MinSize: depend on pagesize of system, MaxSize: please check /proc/sys/fs/pipe-max-size)
# This is only supported for Linux.
# DaemonFIFOSize = 65536

# Initial log-level that is sent when an application registers (Default: 4)
# DLT_LOG_OFF = 0, DLT_LOG_FATAL = 1, DLT_LOG_ERROR = 2, DLT_LOG_WARN = 3, DLT_LOG_INFO = 4, DLT_LOG_DEBUG = 5, DLT_LOG_VERBOSE = 6
# ContextLogLevel = 4

# Initial trace-status that is sent when an application registers (Default: 0)
# DLT_TRACE_STATUS_OFF = 0, DLT_TRACE_STATUS_ON = 1
# ContextTraceStatus = 0

# Force log level and trace status of context to not exceed "ContextLogLevel" and "ContextTraceStatus" (Default: 0 = OFF)
# If set to 1 (ON) whenever a context registers or changes the log-level it has to be lower or equal to ContextLogLevel
# ForceContextLogLevelAndTraceStatus = 1

# Allows injection mode usage (Default: 1)
# InjectionMode = 1

########################################################################
# Gateway Configuration                                                #
########################################################################
# Enable Gateway mode (Default: 0)
# GatewayMode = 1

# Read gateway configuration from another location
# GatewayConfigFile = /etc/dlt_gateway.conf

########################################################################
# Permission configuration                                             #
# ==================================================================== #
# Owner group of daemon FIFO directory(Default: /tmp/dlt)
# (If not set, primary group of dlt-daemon process is used)
# DaemonFifoGroup = dlt_user_apps_group

########################################################################
# Control Application                                                  #
########################################################################
ControlSocketPath = /tmp/dlt-ctrl.sock

########################################################################
# Offline Trace memory                                                 #
########################################################################

# Store DLT messages to local directory, if not set offline Trace is off (Default: off)
# OfflineTraceDirectory = /tmp

# Maximum size in bytes of one trace file (Default: 1000000)
# OfflineTraceFileSize = 1000000

# Maximum size of all trace files (Default: 4000000)
# OfflineTraceMaxSize = 4000000

# Filename timestamp based or index based (Default:1) (timestamp based=1, index based =0)
# OfflineTraceFileNameTimestampBased = 1

########################################################################
# Local console output configuration                                   #
########################################################################

# Print DLT messages; payload as ASCII
# PrintASCII = 1

# Print DLT messages; payload as hex
# PrintHex = 1

# Print DLT messages; only headers
# PrintHeadersOnly = 1


########################################################################
# Client Serial port configuration                                     #
########################################################################

# Additional support for serial device
# If a device name is set serial port is enabled.
# RS232DeviceName = /dev/ttyS0

# Serial device baudrate (Default: 115200)
# RS232Baudrate = 115200

# Sync to serial header on serial connection
# RS232SyncSerialHeader = 1

########################################################################
# TCP Serial port configuration                                        #
########################################################################

# Sync to serial header on all TCP connections
# TCPSyncSerialHeader = 1

########################################################################
# ECU Software version info                                            #
########################################################################

# Send periodic get ecu version info (Default: 0)
# SendECUSoftwareVersion = 0

# Absolute path to file storing version info - otherwise DLT version is used
# PathToECUSoftwareVersion = <absolute-path-to-file>

# Line prefix to read from software version file. Reads entire file if unset.
# ECUSoftwareVersionFileField = VERSION

########################################################################
# Timezone info                                                        #
########################################################################

# Send periodic timezone info (Default: 0)
# SendTimezone = 0

##############################################################################
# Offline logstorage                                                         #
##############################################################################
# Store DLT log messages, if not set offline logstorage is off (Default: off)
# Maximum devices to be used as offline logstorage devices
# OfflineLogstorageMaxDevices = 1

# Path to store DLT offline log storage messages (Default: off)
# OfflineLogstorageDirPath = /opt

# File options
# Appends timestamp in log file name, Disable by setting to 0 (Default: 1)
# OfflineLogstorageTimestamp = 0

# Appends delimiter in log file name, allowed punctutations only (Default: _)
# OfflineLogstorageDelimiter = _

# Wrap around value for log file count in file name (Default: UINT_MAX)
# OfflineLogstorageMaxCounter = 999

# Don't append counter for NOFiles=1 (Default: 0)
# OfflineLogstorageOptionalIndex = 1

# Maximal used memory for Logstorage Cache in KB (Default: 30000 KB)
# OfflineLogstorageCacheSize = 30000

##############################################################################
# UDP Multicast Configuration                                                #
##############################################################################
# Enable UDP connection support for daemon(Control Message/Multicast is enabled)
# UDPConnectionSetup = 1

# UDP multicast address(default:225.0.0.37)
# UDPMulticastIPAddress = 225.0.0.37

# UDP multicast port(default:3491)
# UDPMulticastIPPort = 3491

##############################################################################
# BindAddress Limitation                                                     #
##############################################################################
# Accept connections only on this list of IP addresses (Default: "0.0.0.0" INADDR_ANY)
# The IP addresses must be separated with ',' or ';' but not with space character ' ' 
# If DLT_USE_IPv6 flag is ON, then only IPv6 addresses are accepted
# If DLT_USE_IPv6 flag is OFF, then only IPv4 addresses are accepted
# BindAddress = 160.48.199.97;160.48.199.98
